Debian Bug report logs - #673187
ITP: berusky2 -- logic game Bugs Escape 3D

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Bart Martens <bartm@debian.org>

Date: Wed, 16 May 2012 19:27:01 UTC

Owned by: Markus Koschany <apo@gambaru.de>

Severity: wishlist

Tags: help

Fixed in version berusky2/0.9.1-1

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#673187; Package berusky2. (Wed, 16 May 2012 19:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Wed, 16 May 2012 19:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: submit@bugs.debian.org
Subject: ITP: berusky2 -- logic game Bugs Escape 3D
Date: Wed, 16 May 2012 19:24:20 +0000
Package: berusky2
Severity: wishlist

I intend to package this software:
http://anakreon.cz/?q=node/2




Bug reassigned from package 'berusky2' to 'wnpp'. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 16 May 2012 19:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#673187; Package wnpp. (Wed, 16 May 2012 20:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 16 May 2012 20:12:04 GMT) Full text and rfc822 format available.

Message #12 received at 673187@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 673187@bugs.debian.org
Subject: contains non-free file
Date: Wed, 16 May 2012 20:09:28 +0000
I found this in src/komat/dxtlib.h:

Copyright (C) 1999, 2000 NVIDIA Corporation
This file is provided without support, instruction, or implied warranty of any
kind.  NVIDIA makes no guarantee of its fitness for a particular purpose and is
not liable under any circumstances for any damages or loss whatsoever arising
from the use or inability to use this file or items derived from it.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#673187; Package wnpp. (Thu, 17 May 2012 09:47:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 17 May 2012 09:47:41 GMT) Full text and rfc822 format available.

Message #17 received at 673187@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: Martin Stransky <stransky@anakreon.cz>, Michal Simonik <simonik@anakreon.cz>
Cc: 673187@bugs.debian.org
Subject: non-free file in berusky2-0.7.tar.gz
Date: Thu, 17 May 2012 09:32:30 +0000
Hello,

I'm packaging berusky2 for Debian.  I found this in src/komat/dxtlib.h in
berusky2-0.7.tar.gz :

  Path:  C:\Dev\devrel\Nv_sdk_4\Dx8_private\PhotoShop\dxtlib
  File:  dxtlib.h
  
  Copyright (C) 1999, 2000 NVIDIA Corporation
  This file is provided without support, instruction, or implied warranty of any
  kind.  NVIDIA makes no guarantee of its fitness for a particular purpose and is
  not liable under any circumstances for any damages or loss whatsoever arising
  from the use or inability to use this file or items derived from it.

The file seems part of PhotoShop, and I don't see a license that would make the
file free to distribute.

Can you modify berusky2 so that it no longer needs this file ?

Regards,

Bart Martens




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#673187; Package wnpp. (Thu, 17 May 2012 09:47:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Stransky <stransky@anakreon.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 17 May 2012 09:47:49 GMT) Full text and rfc822 format available.

Message #22 received at 673187@bugs.debian.org (full text, mbox):

From: Martin Stransky <stransky@anakreon.cz>
To: Bart Martens <bartm@debian.org>
Cc: Michal Simonik <simonik@anakreon.cz>, 673187@bugs.debian.org
Subject: Re: non-free file in berusky2-0.7.tar.gz
Date: Thu, 17 May 2012 11:42:31 +0200
Hi,

this is just a leftover from the original windows version, it comes from 
DirectX SDK. Feel free to remove it from source tarball, it's not used. 
I'll remove it from the next versions.

ma.

On 05/17/2012 11:32 AM, Bart Martens wrote:
> Hello,
>
> I'm packaging berusky2 for Debian.  I found this in src/komat/dxtlib.h in
> berusky2-0.7.tar.gz :
>
>    Path:  C:\Dev\devrel\Nv_sdk_4\Dx8_private\PhotoShop\dxtlib
>    File:  dxtlib.h
>
>    Copyright (C) 1999, 2000 NVIDIA Corporation
>    This file is provided without support, instruction, or implied warranty of any
>    kind.  NVIDIA makes no guarantee of its fitness for a particular purpose and is
>    not liable under any circumstances for any damages or loss whatsoever arising
>    from the use or inability to use this file or items derived from it.
>
> The file seems part of PhotoShop, and I don't see a license that would make the
> file free to distribute.
>
> Can you modify berusky2 so that it no longer needs this file ?
>
> Regards,
>
> Bart Martens
>





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#673187; Package wnpp. (Fri, 18 May 2012 14:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 18 May 2012 14:33:05 GMT) Full text and rfc822 format available.

Message #27 received at 673187@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 673187@bugs.debian.org
Subject: ITP: berusky2 -- logic game Bugs Escape 3D
Date: Fri, 18 May 2012 14:29:49 +0000
tags 673187 help
stop

I have packaged berusky2 and berusky2-data.  However, the result is not usable
on my laptop due to problems with the screen resolution.

I have put the .debian.tar.gz files here:
http://people.debian.org/~bartm/berusky2/

I hereby invite anyone interested to use the .debian.tar.gz files to build the
packages and to try playing the game.  Feedback is most welcome.

Regards,

Bart Martens




Added tag(s) help. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 18 May 2012 14:33:09 GMT) Full text and rfc822 format available.

Owner recorded as bartm@debian.org. Request was from Andreas Rönnquist <gusnan@gusnan.se> to control@bugs.debian.org. (Thu, 07 Jun 2012 11:03:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bartm@debian.org:
Bug#673187; Package wnpp. (Fri, 12 Jul 2013 11:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bartm@debian.org. (Fri, 12 Jul 2013 11:15:04 GMT) Full text and rfc822 format available.

Message #36 received at 673187@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 673187@bugs.debian.org, Bart Martens <bartm@debian.org>
Subject: ITP: berusky2 -- logic game Bugs Escape 3D
Date: Fri, 12 Jul 2013 13:13:20 +0200
[Message part 1 (text/plain, inline)]
Hello Bart,

i have seen your ITP for berusky2 and your help tag so i had a go at
this. I have attached my debian folders for berusky2 and berusky2-data
to this bug report.

The game is working fine here on my computer. After some initial
problems with the screen resolution i changed the build-dependencies and
replaced virtual packages with real ones. I also added libgl1-mesa-dev
and libgtk2.0-dev. The former makes directly depending on
libgl1-mesa-dri unnecessary and the latter is needed for some graphic
functions although it appears the game does not link against them. The
orginal upstream author also uses them for his fedora packaging work.

Imagemagick is needed to create the berusky2.xpm icon for the Debian menu.

The offending header file was removed in the latest version 0.9.

I have written a man page and updated the package description to make
lintian happy.

I also needed to append -lpthread to LDFLAGS via debian/rules because of
underlinking which caused a FTBFS. I added a patch for the
format-not-a-string-literal-error and a small patch to create a valid
desktop file. I think all three should be forwarded upstream.

The rest were minor issues. I'd be glad if you could find time to test
the result.

Regards,

Markus
[berusky2_debian.tar.gz (application/x-gzip, attachment)]
[berusky2-data_debian.tar.gz (application/x-gzip, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bartm@debian.org:
Bug#673187; Package wnpp. (Fri, 12 Jul 2013 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bartm@debian.org. (Fri, 12 Jul 2013 16:33:04 GMT) Full text and rfc822 format available.

Message #41 received at 673187@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 673187@bugs.debian.org
Subject: ITP: berusky2
Date: Fri, 12 Jul 2013 16:30:50 +0000
Someone uploaded berusky2 to mentors in my name.  Possibly with good
intentions, but please never publish any software in my name.  Fortunately I
can delete the package from mentors, so I have done that at once.

Regards,

Bart Martens



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bartm@debian.org:
Bug#673187; Package wnpp. (Fri, 12 Jul 2013 20:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bartm@debian.org. (Fri, 12 Jul 2013 20:15:08 GMT) Full text and rfc822 format available.

Message #46 received at 673187@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 673187@bugs.debian.org, Bart Martens <bartm@debian.org>
Subject: ITP: berusky2
Date: Fri, 12 Jul 2013 22:12:34 +0200
[Message part 1 (text/plain, inline)]
I have uploaded berusky2 to mentors because it was the first package
available for a simple test. I wanted to test whether my new gpg key was
working correctly. I never intented to keep it there for ever. Sorry for
the confusion.

I guess i don't have to investigate furthermore why it didn't show up
there...

Regards,

Markus

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bartm@debian.org:
Bug#673187; Package wnpp. (Thu, 08 Aug 2013 20:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to A Mennucc <mennucc1@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bartm@debian.org. (Thu, 08 Aug 2013 20:21:07 GMT) Full text and rfc822 format available.

Message #51 received at 673187@bugs.debian.org (full text, mbox):

From: A Mennucc <mennucc1@debian.org>
To: 673187@bugs.debian.org, Markus Koschany <apo@gambaru.de>, Bart Martens <bartm@debian.org>
Subject: berusky2 in experimental
Date: Thu, 08 Aug 2013 21:55:04 +0200
[Message part 1 (text/plain, inline)]
hi,

what about uploading 'berusky2' in experimental?

a.

ps: if you don't want all the burden, we may share maintenance


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bartm@debian.org:
Bug#673187; Package wnpp. (Sat, 10 Aug 2013 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bartm@debian.org. (Sat, 10 Aug 2013 12:15:05 GMT) Full text and rfc822 format available.

Message #56 received at 673187@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: A Mennucc <mennucc1@debian.org>
Cc: 673187@bugs.debian.org, Bart Martens <bartm@debian.org>
Subject: Re: berusky2 in experimental
Date: Sat, 10 Aug 2013 14:10:52 +0200
[Message part 1 (text/plain, inline)]
On 08.08.2013 21:55, A Mennucc wrote:
> hi,
> 
> what about uploading 'berusky2' in experimental?
> 
> a.
> 
> ps: if you don't want all the burden, we may share maintenance
> 

Hello,

thanks for your interest in Berusky2. My goal was to provide feedback
and to kick-start the further development of Berusky2 in Debian.

Bart still owns this bug so I think it is up to him to decide in which
direction he wants to go. I'm gladly available if you want to maintain
the game within a team like the Debian Games Team. But if you choose
otherwise, please feel free to use my packaging work for your own
package. The most important thing is, that the game can be included in
Debian.

Regards,

Markus


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bartm@debian.org:
Bug#673187; Package wnpp. (Sat, 10 Aug 2013 16:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bartm@debian.org. (Sat, 10 Aug 2013 16:12:04 GMT) Full text and rfc822 format available.

Message #61 received at 673187@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: Markus Koschany <apo@gambaru.de>
Cc: 673187@bugs.debian.org, A Mennucc <mennucc1@debian.org>
Subject: ITP: berusky2
Date: Sat, 10 Aug 2013 16:09:49 +0000
Hi Markus,

Thanks for your feedback of 12 July.  Unfortunately I have not yet found the
time to look at it.  At first sight you seem to know what you're talking about.
I hereby welcome you to take over this ITP, if you would want that.  I don't
expect to find time for berusky2 in the coming weeks, so it's better that you
go ahead with getting berusky2 into Debian.

Regards,

Bart Martens



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bartm@debian.org:
Bug#673187; Package wnpp. (Sun, 11 Aug 2013 13:36:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bartm@debian.org. (Sun, 11 Aug 2013 13:36:39 GMT) Full text and rfc822 format available.

Message #66 received at 673187@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Bart Martens <bartm@debian.org>
Cc: 673187@bugs.debian.org, A Mennucc <mennucc1@debian.org>
Subject: Re: ITP: berusky2
Date: Sun, 11 Aug 2013 15:35:03 +0200
[Message part 1 (text/plain, inline)]
Hi Bart,

On 10.08.2013 18:09, Bart Martens wrote:
> Hi Markus,
> 
> Thanks for your feedback of 12 July.  Unfortunately I have not yet found the
> time to look at it.  At first sight you seem to know what you're talking about.
> I hereby welcome you to take over this ITP, if you would want that.  I don't
> expect to find time for berusky2 in the coming weeks, so it's better that you
> go ahead with getting berusky2 into Debian.

Thanks for your confidence. Though I have found two copyright issues in
version 0.9 that need to be addressed first namely

src/komat/Bmp.cpp
src/komat/Tga.cpp

If they can be resolved I'm interested in getting this game into Debian.

I will contact upstream and ask for a license clarification and keep
this bug report in CC.

@ A.

I'd be glad if you joined as a co-maintainer for the package. I intend
to maintain the game within the Games Team. The packaging is almost
done, so provided the copyright issues can be resolved, I see no other
technical reasons which could prevent an upload.

Regards,

Markus



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bartm@debian.org:
Bug#673187; Package wnpp. (Sun, 11 Aug 2013 15:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bartm@debian.org. (Sun, 11 Aug 2013 15:06:04 GMT) Full text and rfc822 format available.

Message #71 received at 673187@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Martin Stransky <stransky@anakreon.cz>, Michal Simonik <simonik@anakreon.cz>
Cc: 673187@bugs.debian.org
Subject: Berusky2 for Debian: license clarification
Date: Sun, 11 Aug 2013 17:04:32 +0200
[Message part 1 (text/plain, inline)]
Hello,

I'm packaging version 0.9 of Berusky2 for Debian and I have found four
files namely

src/komat/Bmp.cpp
src/komat/Bmp.h
src/komat/Tga.cpp
src/komat/Tga.h

whose license headers indicate that these files are not licensed under
GPL-2 or later.

Tga.cpp

 *   (C) 2001 ATI Research, Inc.  All rights reserved.

Bmp.cpp

The code in this file is subject to the RunicSoft source code licence~
( http://www.runicsoft.com/sourcelicence.txt )

The RunicSoft source code lincense prohibits commercial use of the
software. That would make it non-free.

I would appreciate if you could clarify what license applies to those
files, so that they could be included in Debian.

Regarding your data files for Berusky2:

Is there an easy way to extract the data files and to modify them for
normal users like extracting and manipulating the images as png files or
the sounds as ogg files?

Regards,

Markus Koschany



[signature.asc (application/pgp-signature, attachment)]

Owner changed from bartm@debian.org to Markus Koschany <apo@gambaru.de>. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Fri, 16 Aug 2013 22:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#673187; Package wnpp. (Wed, 21 Aug 2013 06:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Stransky <stransky@anakreon.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Wed, 21 Aug 2013 06:54:04 GMT) Full text and rfc822 format available.

Message #78 received at 673187@bugs.debian.org (full text, mbox):

From: Martin Stransky <stransky@anakreon.cz>
To: Markus Koschany <apo@gambaru.de>
Cc: Michal Simonik <simonik@anakreon.cz>, 673187@bugs.debian.org
Subject: Re: Berusky2 for Debian: license clarification
Date: Wed, 21 Aug 2013 08:47:51 +0200
Hi Markus,

I'm glad to hear so!

On 11.8.2013 17:04, Markus Koschany wrote:
> Hello,
>
> I'm packaging version 0.9 of Berusky2 for Debian and I have found four
> files namely
>
> src/komat/Bmp.cpp
> src/komat/Bmp.h
> src/komat/Tga.cpp
> src/komat/Tga.h
>
> whose license headers indicate that these files are not licensed under
> GPL-2 or later.
>
> Tga.cpp
>
>   *   (C) 2001 ATI Research, Inc.  All rights reserved.
>
> Bmp.cpp
>
> The code in this file is subject to the RunicSoft source code licence~
> ( http://www.runicsoft.com/sourcelicence.txt )
>
> The RunicSoft source code lincense prohibits commercial use of the
> software. That would make it non-free.
>
> I would appreciate if you could clarify what license applies to those
> files, so that they could be included in Debian.

I'm not sure about the Tga.cpp file, but it's not used (all images are 
loaded via. SDL_Image). As for the bmp.cpp we've got a personal 
clarification from an autor so we can use it in a commercial project 
too. But it does not matter anyway due to the SDL_Image.

So please remove those files or I can do that in next release.

> Regarding your data files for Berusky2:
>
> Is there an easy way to extract the data files and to modify them for
> normal users like extracting and manipulating the images as png files or
> the sounds as ogg files?

Unfortunately not, we keep compatibility with the commercial windows 
version for now. There's a windows extraction utility for that. Why do 
you need so? The music is already released as a soundtrack. And we can 
also publish other data if anyone is interested...

Thanks for your work here! Please let me know when the debian packages 
are ready, I'll link them from our homepage. And let me know if you have 
any other issues.

ma.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#673187; Package wnpp. (Wed, 21 Aug 2013 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 21 Aug 2013 14:51:04 GMT) Full text and rfc822 format available.

Message #83 received at 673187@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Martin Stransky <stransky@anakreon.cz>
Cc: Michal Simonik <simonik@anakreon.cz>, 673187@bugs.debian.org
Subject: Re: Berusky2 for Debian: license clarification
Date: Wed, 21 Aug 2013 16:50:16 +0200
[Message part 1 (text/plain, inline)]
Hi Martin,

On 21.08.2013 08:47, Martin Stransky wrote:
> Hi Markus,
> 
> I'm glad to hear so!

Thanks for your reply!

[...]

> I'm not sure about the Tga.cpp file, but it's not used (all images are
> loaded via. SDL_Image). As for the bmp.cpp we've got a personal
> clarification from an autor so we can use it in a commercial project
> too. But it does not matter anyway due to the SDL_Image.
> 
> So please remove those files or I can do that in next release.

It appears those files are used in src/komat/Texture.cpp and
src/tmp/compat.h too. I'm not sure what happens if I remove them and I
also need to adjust the build system.

So I'd be glad if you could remove them from the next release. Of course
an additional license clarification, that these files are free software,
would also do.


>> Regarding your data files for Berusky2:
>>
>> Is there an easy way to extract the data files and to modify them for
>> normal users like extracting and manipulating the images as png files or
>> the sounds as ogg files?
> 
> Unfortunately not, we keep compatibility with the commercial windows
> version for now. There's a windows extraction utility for that. Why do
> you need so? The music is already released as a soundtrack. And we can
> also publish other data if anyone is interested...

In its current state it is doable but not trivial to extract the files
to a format where they can be modified by the users. I'm not aware of a
free software tool that can extract those pak files. Please correct me
if I'm wrong. Though I believe that those data files are compliant with
Debian's free software guidelines but would wish that they were more
accessible.


Regards,

Markus


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#673187; Package wnpp. (Mon, 26 Aug 2013 12:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Stransky <stransky@anakreon.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Mon, 26 Aug 2013 12:12:05 GMT) Full text and rfc822 format available.

Message #88 received at 673187@bugs.debian.org (full text, mbox):

From: Martin Stransky <stransky@anakreon.cz>
To: Markus Koschany <apo@gambaru.de>
Cc: Michal Simonik <simonik@anakreon.cz>, 673187@bugs.debian.org
Subject: Re: Berusky2 for Debian: license clarification
Date: Mon, 26 Aug 2013 14:10:19 +0200
Hi,

> It appears those files are used in src/komat/Texture.cpp and
> src/tmp/compat.h too. I'm not sure what happens if I remove them and I
> also need to adjust the build system.
>
> So I'd be glad if you could remove them from the next release. Of course
> an additional license clarification, that these files are free software,
> would also do.

Sure, I'm going to ship a new release which will address it.

> In its current state it is doable but not trivial to extract the files
> to a format where they can be modified by the users. I'm not aware of a
> free software tool that can extract those pak files. Please correct me
> if I'm wrong. Though I believe that those data files are compliant with
> Debian's free software guidelines but would wish that they were more
> accessible.

All content of the data files (and those files themselves) are 
distributed under GPLv2 (plus the soundtrack is also released under CC) 
and are also shipped in Fedora so I don't expect any complications here. 
I can bundle the extraction tool if necessary (it can be run in wine).

ma.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#673187; Package wnpp. (Mon, 26 Aug 2013 22:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Stransky <stransky@anakreon.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Mon, 26 Aug 2013 22:03:04 GMT) Full text and rfc822 format available.

Message #93 received at 673187@bugs.debian.org (full text, mbox):

From: Martin Stransky <stransky@anakreon.cz>
To: 673187@bugs.debian.org
Subject: Re: Bug#673187: Info received (Berusky2 for Debian: license clarification)
Date: Mon, 26 Aug 2013 23:58:38 +0200
A new tarball (0.9.1) is available at 
http://anakreon.cz/download/berusky2-0.9.1.tar.gz

The problematic files are removed there.





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 30 Aug 2013 20:06:08 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Fri, 06 Sep 2013 09:03:12 GMT) Full text and rfc822 format available.

Notification sent to Bart Martens <bartm@debian.org>:
Bug acknowledged by developer. (Fri, 06 Sep 2013 09:03:12 GMT) Full text and rfc822 format available.

Message #100 received at 673187-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 673187-close@bugs.debian.org
Subject: Bug#673187: fixed in berusky2 0.9.1-1
Date: Fri, 06 Sep 2013 09:01:51 +0000
Source: berusky2
Source-Version: 0.9.1-1

We believe that the bug you reported is fixed in the latest version of
berusky2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673187@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated berusky2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 30 Aug 2013 17:34:34 +0200
Source: berusky2
Binary: berusky2
Architecture: source amd64
Version: 0.9.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 berusky2   - logic game Bugs Escape 3D
Closes: 673187
Changes: 
 berusky2 (0.9.1-1) unstable; urgency=low
 .
   * Initial release. (Closes: #673187).
     - Thanks to Bart Martens for his initial packaging work.
Checksums-Sha1: 
 b2000756d3a6a44dedf7d4a8e2595189f3c1b3cc 2092 berusky2_0.9.1-1.dsc
 13c8661e4e0a74bb9ffb0981b9dd3cb17b3524ec 1166466 berusky2_0.9.1.orig.tar.gz
 f09677783506ceb6a461b74848db903f49e62a0d 6552 berusky2_0.9.1-1.debian.tar.gz
 904d5de10a1c95c83ab8cacfb27a688f5b0c934a 615708 berusky2_0.9.1-1_amd64.deb
Checksums-Sha256: 
 b2052af831d8504c6529ca5aa52d0541b8aa706035b53d06e8e0ccdd3c75bea6 2092 berusky2_0.9.1-1.dsc
 53faefafa966b39cc0f283b32bf8387bad0f9fb46ac4ec51eefb400cdee29b2c 1166466 berusky2_0.9.1.orig.tar.gz
 0017bf2206bdac6456f731dd53690ccb849d1f5de978f37d56c4f771bd8d88af 6552 berusky2_0.9.1-1.debian.tar.gz
 8502732d659e7405d6c9f55e17f9027d90d4f928fc9bc2cb58bb5cf619fc8acb 615708 berusky2_0.9.1-1_amd64.deb
Files: 
 5bc776fd96929f1cb1010598db288e9a 2092 games optional berusky2_0.9.1-1.dsc
 15c6815a2db3c82c90069e5681e5e514 1166466 games optional berusky2_0.9.1.orig.tar.gz
 8952a2dae1e0693e49093c189521a724 6552 games optional berusky2_0.9.1-1.debian.tar.gz
 41462d6f2d69dfa4f6964efc32f6ef06 615708 games optional berusky2_0.9.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSIOMfAAoJEHQmOzf1tfkTi7UP/AvRIhkXG36av1zgRGKslJ8D
cHxOnPNYWvKEa2lPkrOWgk4DCXcl33V/hHdiHN9EZ1rmJZgp7E1deyG+iyxjLBcf
I6HcgUMEspQUqCO5x0XjN0gtbnVHRfi1AgUDI/mcbmiWHFbQLe9AOkUdCzZBLExq
elangO6cnstSyJDZbbWp4CAtZe3rQQqj6HS2dWeCJr8BYNgByRMbhLQBdGmw81vD
p/R6HqRFbO2lzFyXpASr71Cgh2W/reByrXLRJ4iwKWJC2HzP10za2pFc27dETQTW
HKykuqKjUtQ0aUktAyMoO4TQxLyANyaedRKzjHA6PLO2cMppDYYi1BHLBqJLj8f6
0RvKSUo7jI3iZl8inMa2F0zSNkqvA4PePP6hkVlcEphplI/esmLhv3xKXnSXAvH3
4+LvAADZLBTVfQPFIM5AJGAeaZgl59Aci+sIkbGWLAaq/7LoHOXqYBkoJ4urIbWM
pg8wPmThjgpFCJfeXLF+obnL46lUfwwONQoV2eqcaf8/ete6NkljNeHAgy604ddi
Z1UuNGBhFh/SftI5+W+0faew5u1kXH+dfTFL+ktQ6tNbzM3TlTu/YFGJ1QAS8XRc
QD2uGL/5uhdvQHw6Ep7vdJtjdYfyi3px1DPZMafxwOEcT+9YVtAcOe3VwzvxQ1a/
fYHlOuIRRAqhO26h0fGK
=bug1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Oct 2013 07:39:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:52:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.